Spaces method and path for this operation:
post /s/{space_id}/api/entity_analytics/watchlists/{watchlist_id}/entities/unassign
Refer to Spaces for more information.
Unassigns the provided entities from the specified watchlist. This only removes the "manual" assignment. If the entity is also assigned via other sources (for example, index or integration), it will remain on the watchlist.
POST
/api/entity_analytics/watchlists/{watchlist_id}/entities/unassign
curl \
--request POST 'https://<KIBANA_URL>/api/entity_analytics/watchlists/high-risk-vendors/entities/unassign' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--data '{"euids":["user:john.doe","host:web-01"]}'
Request example
{
"euids": [
"user:john.doe",
"host:web-01"
]
}
Response examples (200)
{
"failed": 0,
"items": [
{
"euid": "user:john.doe",
"status": "success"
},
{
"euid": "host:web-01",
"status": "not_found"
}
],
"not_found": 1,
"successful": 1,
"total": 2
}